import{s as ke,f as Ae,n as qe,o as Me}from"../chunks/scheduler.37c15a92.js";import{S as Ee,i as Qe,g as s,s as i,r as l,A as Se,h as r,f as n,c as o,j as Le,u as h,x as c,k as fe,y as We,a,v as m,d as p,t as f,w as g}from"../chunks/index.7cb9c9b8.js";import{Q as ge}from"../chunks/Question.f95a37ca.js";import{H as d}from"../chunks/Heading.d3928e2a.js";function He(ue){let u,D,z,O,w,j,v,ce='The best way to learn and <a href="https://www.coursera.org/lecture/learning-how-to-learn/illusions-of-competence-BuFzf" rel="nofollow">to avoid the illusion of competence</a> <strong>is to test yourself.</strong> This will help you to find <strong>where you need to reinforce your knowledge</strong>.',F,$,U,x,de="<summary>Solution</summary> <p>Reinforcement learning is a <strong>framework for solving control tasks (also called decision problems)</strong> by building agents that learn from the environment by interacting with it through trial and error and <strong>receiving rewards (positive or negative) as unique feedback</strong>.</p>",V,y,G,b,we,J,T,ve="At every step:",K,_,$e="<li>Our Agent receives <strong>__</strong> from the environment</li> <li>Based on that <strong>__</strong> the Agent takes an <strong>__</strong></li> <li>Our Agent will move to the right</li> <li>The Environment goes to a <strong>__</strong></li> <li>The Environment gives a <strong>__</strong> to the Agent</li>",N,L,X,k,Y,A,Z,q,ee,M,te,E,ne,Q,xe='<summary>Solution</summary> <p>In Reinforcement Learning, we need to <strong>balance how much we explore the environment and how much we exploit what we know about the environment</strong>.</p> <ul><li><p><em>Exploration</em> is exploring the environment by <strong>trying random actions in order to find more information about the environment</strong>.</p></li> <li><p><em>Exploitation</em> is <strong>exploiting known information to maximize the reward</strong>.</p></li></ul> <img src="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit1/expexpltradeoff.jpg" alt="Exploration Exploitation Tradeoff" width="100%"/>',ae,S,ie,W,ye='<summary>Solution</summary> <ul><li>The Policy π <strong>is the brain of our Agent</strong>. It’s the function that tells us what action to take given the state we are in. So it defines the agent’s behavior at a given time.</li></ul> <img src="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit1/policy_1.jpg" alt="Policy"/>',oe,H,se,C,be="<summary>Solution</summary> <ul><li>Value-based methods is one of the main approaches for solving RL problems.</li> <li>In Value-based methods, instead of training a policy function, <strong>we train a value function that maps a state to the expected value of being at that state</strong>.</li></ul>",re,R,le,I,Te="<summary>Solution</summary> <ul><li>In <em>Policy-Based Methods</em>, we learn a <strong>policy function directly</strong>.</li> <li>This policy function will <strong>map from each state to the best corresponding action at that state</strong>. Or a <strong>probability distribution over the set of possible actions at that state</strong>.</li></ul>",he,P,_e="Congrats on finishing this Quiz 🥳, if you missed some elements, take time to read again the chapter to reinforce (😏) your knowledge, but <strong>do not worry</strong>: during the course we’ll go over again of these concepts, and you’ll <strong>reinforce your theoretical knowledge with hands-on</strong>.",me,B,pe;return w=new d({props:{title:"Quiz",local:"quiz",headingTag:"h1"}}),$=new d({props:{title:"Q1: What is Reinforcement Learning?",local:"q1-what-is-reinforcement-learning",headingTag:"h3"}}),y=new d({props:{title:"Q2: Define the RL Loop",local:"q2-define-the-rl-loop",headingTag:"h3"}}),L=new ge({props:{choices:[{text:"an action a0, action a0, state s0, state s1, reward r1",explain:"At every step: Our Agent receives **state s0** from the environment. Based on that **state s0** the Agent takes an **action a0**. Our Agent will move to the right. The Environment goes to a **new state s1**. The Environment gives **a reward r1** to the Agent."},{text:"state s0, state s0, action a0, new state s1, reward r1",explain:"",correct:!0},{text:"a state s0, state s0, action a0, state s1, action a1",explain:"At every step: Our Agent receives **state s0** from the environment. Based on that **state s0** the Agent takes an **action a0**. Our Agent will move to the right. The Environment goes to a **new state s1**. The Environment gives **a reward r1** to the Agent."}]}}),k=new d({props:{title:"Q3: What’s the difference between a state and an observation?",local:"q3-whats-the-difference-between-a-state-and-an-observation",headingTag:"h3"}}),A=new ge({props:{choices:[{text:"The state is a complete description of the state of the world (there is no hidden information)",explain:"",correct:!0},{text:"The state is a partial description of the state",explain:""},{text:"The observation is a complete description of the state of the world (there is no hidden information)",explain:""},{text:"The observation is a partial description of the state",explain:"",correct:!0},{text:"We receive a state when we play with chess environment",explain:"Since we have access to the whole checkboard information.",correct:!0},{text:"We receive an observation when we play with chess environment",explain:"Since we have access to the whole checkboard information."},{text:"We receive a state when we play with Super Mario Bros",explain:"We only see a part of the level close to the player, so we receive an observation."},{text:"We receive an observation when we play with Super Mario Bros",explain:"We only see a part of the level close to the player.",correct:!0}]}}),q=new d({props:{title:"Q4: A task is an instance of a Reinforcement Learning problem. What are the two types of tasks?",local:"q4-a-task-is-an-instance-of-a-reinforcement-learning-problem-what-are-the-two-types-of-tasks",headingTag:"h3"}}),M=new ge({props:{choices:[{text:"Episodic",explain:"In Episodic task, we have a starting point and an ending point (a terminal state). This creates an episode: a list of States, Actions, Rewards, and new States. For instance, think about Super Mario Bros: an episode begin at the launch of a new Mario Level and ending when you’re killed or you reached the end of the level.",correct:!0},{text:"Recursive",explain:""},{text:"Adversarial",explain:""},{text:"Continuing",explain:"Continuing tasks are tasks that continue forever (no terminal state). In this case, the agent must learn how to choose the best actions and simultaneously interact with the environment.",correct:!0}]}}),E=new d({props:{title:"Q5: What is the exploration/exploitation tradeoff?",local:"q5-what-is-the-explorationexploitation-tradeoff",headingTag:"h3"}}),S=new d({props:{title:"Q6: What is a policy?",local:"q6-what-is-a-policy",headingTag:"h3"}}),H=new d({props:{title:"Q7: What are value-based methods?",local:"q7-what-are-value-based-methods",headingTag:"h3"}}),R=new d({props:{title:"Q8: What are policy-based methods?",local:"q8-what-are-policy-based-methods",headingTag:"h3"}}),{c(){u=s("meta"),D=i(),z=s("p"),O=i(),l(w.$$.fragment),j=i(),v=s("p"),v.innerHTML=ce,F=i(),l($.$$.fragment),U=i(),x=s("details"),x.innerHTML=de,V=i(),l(y.$$.fragment),G=i(),b=s("img"),J=i(),T=s("p"),T.textContent=ve,K=i(),_=s("ul"),_.innerHTML=$e,N=i(),l(L.$$.fragment),X=i(),l(k.$$.fragment),Y=i(),l(A.$$.fragment),Z=i(),l(q.$$.fragment),ee=i(),l(M.$$.fragment),te=i(),l(E.$$.fragment),ne=i(),Q=s("details"),Q.innerHTML=xe,ae=i(),l(S.$$.fragment),ie=i(),W=s("details"),W.innerHTML=ye,oe=i(),l(H.$$.fragment),se=i(),C=s("details"),C.innerHTML=be,re=i(),l(R.$$.fragment),le=i(),I=s("details"),I.innerHTML=Te,he=i(),P=s("p"),P.innerHTML=_e,me=i(),B=s("p"),this.h()},l(e){const t=Se("svelte-u9bgzb",document.head);u=r(t,"META",{name:!0,content:!0}),t.forEach(n),D=o(e),z=r(e,"P",{}),Le(z).forEach(n),O=o(e),h(w.$$.fragment,e),j=o(e),v=r(e,"P",{"data-svelte-h":!0}),c(v)!=="svelte-rgmkvd"&&(v.innerHTML=ce),F=o(e),h($.$$.fragment,e),U=o(e),x=r(e,"DETAILS",{"data-svelte-h":!0}),c(x)!=="svelte-hwjwin"&&(x.innerHTML=de),V=o(e),h(y.$$.fragment,e),G=o(e),b=r(e,"IMG",{src:!0,alt:!0}),J=o(e),T=r(e,"P",{"data-svelte-h":!0}),c(T)!=="svelte-9mg24u"&&(T.textContent=ve),K=o(e),_=r(e,"UL",{"data-svelte-h":!0}),c(_)!=="svelte-1iffy4z"&&(_.innerHTML=$e),N=o(e),h(L.$$.fragment,e),X=o(e),h(k.$$.fragment,e),Y=o(e),h(A.$$.fragment,e),Z=o(e),h(q.$$.fragment,e),ee=o(e),h(M.$$.fragment,e),te=o(e),h(E.$$.fragment,e),ne=o(e),Q=r(e,"DETAILS",{"data-svelte-h":!0}),c(Q)!=="svelte-lhagbu"&&(Q.innerHTML=xe),ae=o(e),h(S.$$.fragment,e),ie=o(e),W=r(e,"DETAILS",{"data-svelte-h":!0}),c(W)!=="svelte-su9zbv"&&(W.innerHTML=ye),oe=o(e),h(H.$$.fragment,e),se=o(e),C=r(e,"DETAILS",{"data-svelte-h":!0}),c(C)!=="svelte-g9n3n1"&&(C.innerHTML=be),re=o(e),h(R.$$.fragment,e),le=o(e),I=r(e,"DETAILS",{"data-svelte-h":!0}),c(I)!=="svelte-aae5od"&&(I.innerHTML=Te),he=o(e),P=r(e,"P",{"data-svelte-h":!0}),c(P)!=="svelte-uzf1og"&&(P.innerHTML=_e),me=o(e),B=r(e,"P",{}),Le(B).forEach(n),this.h()},h(){fe(u,"name","hf:doc:metadata"),fe(u,"content",Ce),Ae(b.src,we="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit1/rl-loop-ex.jpg")||fe(b,"src",we),fe(b,"alt","Exercise RL Loop")},m(e,t){We(document.head,u),a(e,D,t),a(e,z,t),a(e,O,t),m(w,e,t),a(e,j,t),a(e,v,t),a(e,F,t),m($,e,t),a(e,U,t),a(e,x,t),a(e,V,t),m(y,e,t),a(e,G,t),a(e,b,t),a(e,J,t),a(e,T,t),a(e,K,t),a(e,_,t),a(e,N,t),m(L,e,t),a(e,X,t),m(k,e,t),a(e,Y,t),m(A,e,t),a(e,Z,t),m(q,e,t),a(e,ee,t),m(M,e,t),a(e,te,t),m(E,e,t),a(e,ne,t),a(e,Q,t),a(e,ae,t),m(S,e,t),a(e,ie,t),a(e,W,t),a(e,oe,t),m(H,e,t),a(e,se,t),a(e,C,t),a(e,re,t),m(R,e,t),a(e,le,t),a(e,I,t),a(e,he,t),a(e,P,t),a(e,me,t),a(e,B,t),pe=!0},p:qe,i(e){pe||(p(w.$$.fragment,e),p($.$$.fragment,e),p(y.$$.fragment,e),p(L.$$.fragment,e),p(k.$$.fragment,e),p(A.$$.fragment,e),p(q.$$.fragment,e),p(M.$$.fragment,e),p(E.$$.fragment,e),p(S.$$.fragment,e),p(H.$$.fragment,e),p(R.$$.fragment,e),pe=!0)},o(e){f(w.$$.fragment,e),f($.$$.fragment,e),f(y.$$.fragment,e),f(L.$$.fragment,e),f(k.$$.fragment,e),f(A.$$.fragment,e),f(q.$$.fragment,e),f(M.$$.fragment,e),f(E.$$.fragment,e),f(S.$$.fragment,e),f(H.$$.fragment,e),f(R.$$.fragment,e),pe=!1},d(e){e&&(n(D),n(z),n(O),n(j),n(v),n(F),n(U),n(x),n(V),n(G),n(b),n(J),n(T),n(K),n(_),n(N),n(X),n(Y),n(Z),n(ee),n(te),n(ne),n(Q),n(ae),n(ie),n(W),n(oe),n(se),n(C),n(re),n(le),n(I),n(he),n(P),n(me),n(B)),n(u),g(w,e),g($,e),g(y,e),g(L,e),g(k,e),g(A,e),g(q,e),g(M,e),g(E,e),g(S,e),g(H,e),g(R,e)}}}const Ce='{"title":"Quiz","local":"quiz","sections":[{"title":"Q1: What is Reinforcement Learning?","local":"q1-what-is-reinforcement-learning","sections":[],"depth":3},{"title":"Q2: Define the RL Loop","local":"q2-define-the-rl-loop","sections":[],"depth":3},{"title":"Q3: What’s the difference between a state and an observation?","local":"q3-whats-the-difference-between-a-state-and-an-observation","sections":[],"depth":3},{"title":"Q4: A task is an instance of a Reinforcement Learning problem. What are the two types of tasks?","local":"q4-a-task-is-an-instance-of-a-reinforcement-learning-problem-what-are-the-two-types-of-tasks","sections":[],"depth":3},{"title":"Q5: What is the exploration/exploitation tradeoff?","local":"q5-what-is-the-explorationexploitation-tradeoff","sections":[],"depth":3},{"title":"Q6: What is a policy?","local":"q6-what-is-a-policy","sections":[],"depth":3},{"title":"Q7: What are value-based methods?","local":"q7-what-are-value-based-methods","sections":[],"depth":3},{"title":"Q8: What are policy-based methods?","local":"q8-what-are-policy-based-methods","sections":[],"depth":3}],"depth":1}';function Re(ue){return Me(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class De extends Ee{constructor(u){super(),Qe(this,u,Re,He,ke,{})}}export{De as component};
