import{s as zt,f as Mt,n as Ht,o as Ct}from"../chunks/scheduler.37c15a92.js";import{S as Pt,i as $t,g as n,s as l,r as At,m as z,H as mt,A as qt,h as i,f as s,c as p,j as nt,u as It,x as r,n as H,B as rt,k as C,y as g,a as e,v as Et,d as St,t as Dt,w as Ft}from"../chunks/index.7cb9c9b8.js";import{H as Gt}from"../chunks/Heading.d3928e2a.js";function jt(ot){let o,A,P,q,u,I,f,ct="We learned that <strong>Q-Learning is an algorithm we use to train our Q-Function</strong>, an <strong>action-value function</strong> that determines the value of being at a particular state and taking a specific action at that state.",E,d,ht='<img src="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit3/Q-function.jpg" alt="Q-function"/>',S,v,gt="The <strong>Q comes from “the Quality” of that action at that state.</strong>",D,w,ut="Internally, our Q-function is encoded by <strong>a Q-table, a table where each cell corresponds to a state-action pair value.</strong> Think of this Q-table as <strong>the memory or cheat sheet of our Q-function.</strong>",F,x,ft=`The problem is that Q-Learning is a <em>tabular method</em>. This becomes a problem if the states and actions spaces <strong>are not small enough to be represented efficiently by arrays and tables</strong>. In other words: it is <strong>not scalable</strong>.
Q-Learning worked well with small state space environments like:`,G,_,dt="<li>FrozenLake, we had 16 states.</li> <li>Taxi-v3, we had 500 states.</li>",j,b,vt="But think of what we’re going to do today: we will train an agent to learn to play Space Invaders, a more complex game, using the frames as input.",N,m,it,k,wt='<a href="https://twitter.com/meln1k" rel="nofollow">Nikita Melkozerov mentioned</a>, Atari environments',lt,R,Qt='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><mn>25</mn><msup><mn>6</mn><mrow><mn>210</mn><mo>×</mo><mn>160</mn><mo>×</mo><mn>3</mn></mrow></msup><mo>=</mo><mn>25</mn><msup><mn>6</mn><mn>100800</mn></msup></mrow><annotation encoding="application/x-tex">256^{210 \\times 160 \\times 3} = 256^{100800}</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:0.8141em;"></span><span class="mord">25</span><span class="mord"><span class="mord">6</span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mtight">210</span><span class="mbin mtight">×</span><span class="mord mtight">160</span><span class="mbin mtight">×</span><span class="mord mtight">3</span></span></span></span></span></span></span></span></span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">=</span><span class="mspace" style="margin-right:0.2778em;"></span></span><span class="base"><span class="strut" style="height:0.8141em;"></span><span class="mord">25</span><span class="mord"><span class="mord">6</span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mtight">100800</span></span></span></span></span></span></span></span></span></span></span></span>',U,B,Tt='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><mn>1</mn><msup><mn>0</mn><mn>80</mn></msup></mrow><annotation encoding="application/x-tex">10^{80}</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:0.8141em;"></span><span class="mord">1</span><span class="mord"><span class="mord">0</span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mtight">80</span></span></span></span></span></span></span></span></span></span></span></span>',O,W,y,xt="<li>A single frame in Atari is composed of an image of 210x160 pixels. Given that the images are in color (RGB), there are 3 channels. This is why the shape is (210, 160, 3). For each pixel, the value can go from 0 to 255.</li>",J,L,_t,K,c,pt,V,kt='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><msub><mi>Q</mi><mi>θ</mi></msub><mo stretchy="false">(</mo><mi>s</mi><mo separator="true">,</mo><mi>a</mi><mo stretchy="false">)</mo></mrow><annotation encoding="application/x-tex">Q_{\\theta}(s,a)</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:1em;vertical-align:-0.25em;"></span><span class="mord"><span class="mord mathnormal">Q</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.3361em;"><span style="top:-2.55em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mathnormal mtight" style="margin-right:0.02778em;">θ</span></span></span></span></span><span class="vlist-s">​</span></span><span class="vlist-r"><span class="vlist" style="height:0.15em;"><span></span></span></span></span></span></span><span class="mopen">(</span><span class="mord mathnormal">s</span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord mathnormal">a</span><span class="mclose">)</span></span></span></span>',X,Y,M,bt="This neural network will approximate, given a state, the different Q-values for each possible action at that state. And that’s exactly what Deep Q-Learning does.",Z,Q,yt,tt,T,Lt="Now that we understand Deep Q-Learning, let’s dive deeper into the Deep Q-Network.",st,$,at;return u=new Gt({props:{title:"From Q-Learning to Deep Q-Learning",local:"from-q-to-dqn",headingTag:"h1"}}),{c(){o=n("meta"),A=l(),P=n("p"),q=l(),At(u.$$.fragment),I=l(),f=n("p"),f.innerHTML=ct,E=l(),d=n("figure"),d.innerHTML=ht,S=l(),v=n("p"),v.innerHTML=gt,D=l(),w=n("p"),w.innerHTML=ut,F=l(),x=n("p"),x.innerHTML=ft,G=l(),_=n("ul"),_.innerHTML=dt,j=l(),b=n("p"),b.textContent=vt,N=l(),m=n("p"),it=z("As "),k=n("strong"),k.innerHTML=wt,lt=z(" have an observation space with a shape of (210, 160, 3)*, containing values ranging from 0 to 255 so that gives us"),R=new mt(!1),U=z(" possible observations (for comparison, we have approximately"),B=new mt(!1),O=z(" atoms in the observable universe)."),W=l(),y=n("ul"),y.innerHTML=xt,J=l(),L=n("img"),K=l(),c=n("p"),pt=z("Therefore, the state space is gigantic; due to this, creating and updating a Q-table for that environment would not be efficient. In this case, the best idea is to approximate the Q-values using a parametrized Q-function "),V=new mt(!1),X=z("  ."),Y=l(),M=n("p"),M.textContent=bt,Z=l(),Q=n("img"),tt=l(),T=n("p"),T.textContent=Lt,st=l(),$=n("p"),this.h()},l(t){const a=qt("svelte-u9bgzb",document.head);o=i(a,"META",{name:!0,content:!0}),a.forEach(s),A=p(t),P=i(t,"P",{}),nt(P).forEach(s),q=p(t),It(u.$$.fragment,t),I=p(t),f=i(t,"P",{"data-svelte-h":!0}),r(f)!=="svelte-1rjdaln"&&(f.innerHTML=ct),E=p(t),d=i(t,"FIGURE",{"data-svelte-h":!0}),r(d)!=="svelte-gz4b9g"&&(d.innerHTML=ht),S=p(t),v=i(t,"P",{"data-svelte-h":!0}),r(v)!=="svelte-148602q"&&(v.innerHTML=gt),D=p(t),w=i(t,"P",{"data-svelte-h":!0}),r(w)!=="svelte-gdw4y7"&&(w.innerHTML=ut),F=p(t),x=i(t,"P",{"data-svelte-h":!0}),r(x)!=="svelte-1ghk6ck"&&(x.innerHTML=ft),G=p(t),_=i(t,"UL",{"data-svelte-h":!0}),r(_)!=="svelte-1qtovsz"&&(_.innerHTML=dt),j=p(t),b=i(t,"P",{"data-svelte-h":!0}),r(b)!=="svelte-1ovrzpg"&&(b.textContent=vt),N=p(t),m=i(t,"P",{});var h=nt(m);it=H(h,"As "),k=i(h,"STRONG",{"data-svelte-h":!0}),r(k)!=="svelte-10s0md3"&&(k.innerHTML=wt),lt=H(h," have an observation space with a shape of (210, 160, 3)*, containing values ranging from 0 to 255 so that gives us"),R=rt(h,!1),U=H(h," possible observations (for comparison, we have approximately"),B=rt(h,!1),O=H(h," atoms in the observable universe)."),h.forEach(s),W=p(t),y=i(t,"UL",{"data-svelte-h":!0}),r(y)!=="svelte-1cx174r"&&(y.innerHTML=xt),J=p(t),L=i(t,"IMG",{src:!0,alt:!0}),K=p(t),c=i(t,"P",{});var et=nt(c);pt=H(et,"Therefore, the state space is gigantic; due to this, creating and updating a Q-table for that environment would not be efficient. In this case, the best idea is to approximate the Q-values using a parametrized Q-function "),V=rt(et,!1),X=H(et,"  ."),et.forEach(s),Y=p(t),M=i(t,"P",{"data-svelte-h":!0}),r(M)!=="svelte-1dwltuz"&&(M.textContent=bt),Z=p(t),Q=i(t,"IMG",{src:!0,alt:!0}),tt=p(t),T=i(t,"P",{"data-svelte-h":!0}),r(T)!=="svelte-9k1cpu"&&(T.textContent=Lt),st=p(t),$=i(t,"P",{}),nt($).forEach(s),this.h()},h(){C(o,"name","hf:doc:metadata"),C(o,"content",Nt),R.a=U,B.a=O,Mt(L.src,_t="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit4/atari.jpg")||C(L,"src",_t),C(L,"alt","Atari State Space"),V.a=X,Mt(Q.src,yt="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit1/deep.jpg")||C(Q,"src",yt),C(Q,"alt","Deep Q Learning")},m(t,a){g(document.head,o),e(t,A,a),e(t,P,a),e(t,q,a),Et(u,t,a),e(t,I,a),e(t,f,a),e(t,E,a),e(t,d,a),e(t,S,a),e(t,v,a),e(t,D,a),e(t,w,a),e(t,F,a),e(t,x,a),e(t,G,a),e(t,_,a),e(t,j,a),e(t,b,a),e(t,N,a),e(t,m,a),g(m,it),g(m,k),g(m,lt),R.m(Qt,m),g(m,U),B.m(Tt,m),g(m,O),e(t,W,a),e(t,y,a),e(t,J,a),e(t,L,a),e(t,K,a),e(t,c,a),g(c,pt),V.m(kt,c),g(c,X),e(t,Y,a),e(t,M,a),e(t,Z,a),e(t,Q,a),e(t,tt,a),e(t,T,a),e(t,st,a),e(t,$,a),at=!0},p:Ht,i(t){at||(St(u.$$.fragment,t),at=!0)},o(t){Dt(u.$$.fragment,t),at=!1},d(t){t&&(s(A),s(P),s(q),s(I),s(f),s(E),s(d),s(S),s(v),s(D),s(w),s(F),s(x),s(G),s(_),s(j),s(b),s(N),s(m),s(W),s(y),s(J),s(L),s(K),s(c),s(Y),s(M),s(Z),s(Q),s(tt),s(T),s(st),s($)),s(o),Ft(u,t)}}}const Nt='{"title":"From Q-Learning to Deep Q-Learning","local":"from-q-to-dqn","sections":[],"depth":1}';function Rt(ot){return Ct(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Wt extends Pt{constructor(o){super(),$t(this,o,Rt,jt,zt,{})}}export{Wt as component};
