import{s as yl,f as _,n as $l,o as Tl}from"../chunks/scheduler.37c15a92.js";import{S as Ll,i as Cl,g as o,s as n,r as p,A as xl,h as a,f as l,c as s,j as wl,u as m,x as r,k as u,y as bl,a as i,v as g,d as h,t as f,w as c}from"../chunks/index.7cb9c9b8.js";import{H as d}from"../chunks/Heading.d3928e2a.js";function _l(Mt){let v,Ce,Te,xe,H,be,w,Pt,_e,M,It="Welcome to the most fascinating topic in Artificial Intelligence: <strong>Deep Reinforcement Learning</strong>.",He,P,kt="This course will <strong>teach you about Deep Reinforcement Learning from beginner to expert</strong>. It’s completely free and open-source!",Me,I,Dt="In this introduction unit you’ll:",Pe,k,jt="<li>Learn more about the <strong>course content</strong>.</li> <li><strong>Define the path</strong> you’re going to take (either self-audit or certification process).</li> <li>Learn more about the <strong>AI vs. AI challenges</strong> you’re going to participate in.</li> <li>Learn more <strong>about us</strong>.</li> <li><strong>Create your Hugging Face account</strong> (it’s free).</li> <li><strong>Sign-up to our Discord server</strong>, the place where you can chat with your classmates and us (the Hugging Face team).</li>",Ie,D,At="Let’s get started!",ke,j,De,A,St="In this course, you will:",je,S,Wt='<li>📖 Study Deep Reinforcement Learning in <strong>theory and practice.</strong></li> <li>🧑‍💻 Learn to <strong>use famous Deep RL libraries</strong> such as <a href="https://stable-baselines3.readthedocs.io/en/master/" rel="nofollow">Stable Baselines3</a>, <a href="https://github.com/DLR-RM/rl-baselines3-zoo" rel="nofollow">RL Baselines3 Zoo</a>, <a href="https://samplefactory.dev/" rel="nofollow">Sample Factory</a> and <a href="https://github.com/vwxyzjn/cleanrl" rel="nofollow">CleanRL</a>.</li> <li>🤖 <strong>Train agents in unique environments</strong> such as <a href="https://huggingface.co/spaces/ThomasSimonini/SnowballFight" rel="nofollow">SnowballFight</a>, <a href="https://huggingface.co/spaces/ThomasSimonini/Huggy" rel="nofollow">Huggy the Doggo 🐶</a>, <a href="https://vizdoom.cs.put.edu.pl/" rel="nofollow">VizDoom (Doom)</a> and classical ones such as <a href="https://gymnasium.farama.org/environments/atari/space_invaders/" rel="nofollow">Space Invaders</a>, <a href="https://pybullet.org/wordpress/" rel="nofollow">PyBullet</a> and more.</li> <li>💾 Share your <strong>trained agents with one line of code to the Hub</strong> and also download powerful agents from the community.</li> <li>🏆 Participate in challenges where you will <strong>evaluate your agents against other teams. You’ll also get to play against the agents you’ll train.</strong></li> <li>🎓 <strong>Earn a certificate of completion</strong> by completing 80% of the assignments.</li>',Ae,W,Rt="And more!",Se,R,qt="At the end of this course, <strong>you’ll get a solid foundation from the basics to the SOTA (state-of-the-art) of methods</strong>.",We,q,Ut='Don’t forget to <strong><a href="http://eepurl.com/ic5ZUD">sign up to the course</a></strong> (we are collecting your email to be able to <strong>send you the links when each Unit is published and give you information about the challenges and updates).</strong>',Re,U,zt='Sign up  👉 <a href="http://eepurl.com/ic5ZUD">here</a>',qe,z,Ue,G,Gt="The course is composed of:",ze,F,Ft='<li><p><em>A theory part</em>: where you learn a <strong>concept in theory</strong>.</p></li> <li><p><em>A hands-on</em>: where you’ll learn <strong>to use famous Deep RL libraries</strong> to train your agents in unique environments. These hands-on will be <strong>Google Colab notebooks with companion tutorial videos</strong> if you prefer learning with video format!</p></li> <li><p><em>Challenges</em>: you’ll get to put your agent to compete against other agents in different challenges. There will also be <a href="https://huggingface.co/spaces/huggingface-projects/Deep-Reinforcement-Learning-Leaderboard" rel="nofollow">a leaderboard</a> for you to compare the agents’ performance.</p></li>',Ge,E,Fe,B,Et="This is the course’s syllabus:",Ee,y,Bt,Be,$,Ot,Oe,O,Ye,T,Yt,Ze,Y,Zt="You can choose to follow this course either:",Je,Z,Jt="<li><em>To get a certificate of completion</em>: you need to complete 80% of the assignments.</li> <li><em>To get a certificate of honors</em>: you need to complete 100% of the assignments.</li> <li><em>As a simple audit</em>: you can participate in all challenges and do assignments if you want.</li>",Ve,J,Vt=`There’s <strong>no deadlines, the course is self-paced</strong>.
Both paths <strong>are completely free</strong>.
Whatever path you choose, we advise you <strong>to follow the recommended pace to enjoy the course and challenges with your fellow classmates.</strong>`,Ke,V,Kt="You don’t need to tell us which path you choose. <strong>If you get more than 80% of the assignments done, you’ll get a certificate.</strong>",Ne,K,Qe,N,Nt="The certification process is <strong>completely free</strong>:",Xe,Q,Qt="<li><em>To get a certificate of completion</em>: you need to complete 80% of the assignments.</li> <li><em>To get a certificate of honors</em>: you need to complete 100% of the assignments.</li>",et,X,Xt="Again, there’s <strong>no deadline</strong> since the course is self paced. But our advice <strong>is to follow the recommended pace section</strong>.",tt,L,el,lt,ee,it,te,tl="To get most of the course, we have some advice:",nt,le,ll='<li><a href="https://discord.gg/ydHrjt3WP5">Join study groups in Discord </a>: studying in groups is always easier. To do that, you need to join our discord server. If you&#39;re new to Discord, no worries! We have some tools that will help you learn about it.</li> <li><strong>Do the quizzes and assignments</strong>: the best way to learn is to do and test yourself.</li> <li><strong>Define a schedule to stay in sync</strong>: you can use our recommended pace schedule below or create yours.</li>',st,C,il,ot,ie,at,ne,nl="You need only 3 things:",rt,se,sl='<li><em>A computer</em> with an internet connection.</li> <li><em>Google Colab (free version)</em>: most of our hands-on will use Google Colab, the <strong>free version is enough.</strong></li> <li>A <em>Hugging Face Account</em>: to push and load models. If you don’t have an account yet, you can create one <strong><a href="https://hf.co/join" rel="nofollow">here</a></strong> (it’s free).</li>',ut,x,ol,pt,oe,mt,ae,al="Each chapter in this course is designed <strong>to be completed in 1 week, with approximately 3-4 hours of work per week</strong>. However, you can take as much time as necessary to complete the course. If you want to dive into a topic more in-depth, we’ll provide additional resources to help you achieve that.",gt,re,ht,ue,rl="About the author:",ft,pe,ul='<li><a href="https://twitter.com/ThomasSimonini">Thomas Simonini</a> is a Developer Advocate at Hugging Face 🤗 specializing in Deep Reinforcement Learning. He founded the Deep Reinforcement Learning Course in 2018, which became one of the most used courses in Deep RL.</li>',ct,me,pl="About the team:",dt,ge,ml='<li><a href="https://twitter.com/osanseviero">Omar Sanseviero</a> is a Machine Learning Engineer at Hugging Face where he works in the intersection of ML, Community and Open Source. Previously, Omar worked as a Software Engineer at Google in the teams of Assistant and TensorFlow Graphics. He is from Peru and likes llamas 🦙.</li> <li><a href="https://twitter.com/RisingSayak">Sayak Paul</a> is a Developer Advocate Engineer at Hugging Face. He&#39;s interested in the area of representation learning (self-supervision, semi-supervision, model robustness). And he loves watching crime and action thrillers 🔪.</li>',vt,he,wt,fe,gl="In this new version of the course, you have two types of challenges:",yt,ce,hl='<li><a href="https://huggingface.co/spaces/huggingface-projects/Deep-Reinforcement-Learning-Leaderboard" rel="nofollow">A leaderboard</a> to compare your agent’s performance to other classmates’.</li> <li><a href="https://huggingface.co/learn/deep-rl-course/unit7/introduction?fw=pt" rel="nofollow">AI vs. AI challenges</a> where you can train your agent and compete against other classmates’ agents.</li>',$t,b,fl,Tt,de,Lt,ve,cl="Contributions are welcomed 🤗",Ct,we,dl='<li>If you <em>found a bug 🐛 in a notebook</em>, please <a href="https://github.com/huggingface/deep-rl-class/issues">open an issue</a> and <strong>describe the problem</strong>.</li> <li>If you <em>want to improve the course</em>, you can <a href="https://github.com/huggingface/deep-rl-class/pulls">open a Pull Request.</a></li>',xt,ye,bt,$e,vl='Please ask your question in our <a href="https://discord.gg/ydHrjt3WP5">discord server #rl-discussions.</a>',_t,Le,Ht;return H=new d({props:{title:"Welcome to the 🤗 Deep Reinforcement Learning Course",local:"introduction",headingTag:"h1"}}),j=new d({props:{title:"What to expect?",local:"expect",headingTag:"h2"}}),z=new d({props:{title:"What does the course look like?",local:"course-look-like",headingTag:"h2"}}),E=new d({props:{title:"What’s the syllabus?",local:"syllabus",headingTag:"h2"}}),O=new d({props:{title:"Two paths: choose your own adventure",local:"two-paths",headingTag:"h2"}}),K=new d({props:{title:"The Certification Process",local:"certification-process",headingTag:"h2"}}),ee=new d({props:{title:"How to get most of the course?",local:"advice",headingTag:"h2"}}),ie=new d({props:{title:"What tools do I need?",local:"tools",headingTag:"h2"}}),oe=new d({props:{title:"What is the recommended pace?",local:"recommended-pace",headingTag:"h2"}}),re=new d({props:{title:"Who are we",local:"who-are-we",headingTag:"h2"}}),he=new d({props:{title:"What are the challenges in this course?",local:"challenges",headingTag:"h2"}}),de=new d({props:{title:"I found a bug, or I want to improve the course",local:"contribute",headingTag:"h2"}}),ye=new d({props:{title:"I still have questions",local:"questions",headingTag:"h2"}}),{c(){v=o("meta"),Ce=n(),Te=o("p"),xe=n(),p(H.$$.fragment),be=n(),w=o("img"),_e=n(),M=o("p"),M.innerHTML=It,He=n(),P=o("p"),P.innerHTML=kt,Me=n(),I=o("p"),I.textContent=Dt,Pe=n(),k=o("ul"),k.innerHTML=jt,Ie=n(),D=o("p"),D.textContent=At,ke=n(),p(j.$$.fragment),De=n(),A=o("p"),A.textContent=St,je=n(),S=o("ul"),S.innerHTML=Wt,Ae=n(),W=o("p"),W.textContent=Rt,Se=n(),R=o("p"),R.innerHTML=qt,We=n(),q=o("p"),q.innerHTML=Ut,Re=n(),U=o("p"),U.innerHTML=zt,qe=n(),p(z.$$.fragment),Ue=n(),G=o("p"),G.textContent=Gt,ze=n(),F=o("ul"),F.innerHTML=Ft,Ge=n(),p(E.$$.fragment),Fe=n(),B=o("p"),B.textContent=Et,Ee=n(),y=o("img"),Be=n(),$=o("img"),Oe=n(),p(O.$$.fragment),Ye=n(),T=o("img"),Ze=n(),Y=o("p"),Y.textContent=Zt,Je=n(),Z=o("ul"),Z.innerHTML=Jt,Ve=n(),J=o("p"),J.innerHTML=Vt,Ke=n(),V=o("p"),V.innerHTML=Kt,Ne=n(),p(K.$$.fragment),Qe=n(),N=o("p"),N.innerHTML=Nt,Xe=n(),Q=o("ul"),Q.innerHTML=Qt,et=n(),X=o("p"),X.innerHTML=Xt,tt=n(),L=o("img"),lt=n(),p(ee.$$.fragment),it=n(),te=o("p"),te.textContent=tl,nt=n(),le=o("ol"),le.innerHTML=ll,st=n(),C=o("img"),ot=n(),p(ie.$$.fragment),at=n(),ne=o("p"),ne.textContent=nl,rt=n(),se=o("ul"),se.innerHTML=sl,ut=n(),x=o("img"),pt=n(),p(oe.$$.fragment),mt=n(),ae=o("p"),ae.innerHTML=al,gt=n(),p(re.$$.fragment),ht=n(),ue=o("p"),ue.textContent=rl,ft=n(),pe=o("ul"),pe.innerHTML=ul,ct=n(),me=o("p"),me.textContent=pl,dt=n(),ge=o("ul"),ge.innerHTML=ml,vt=n(),p(he.$$.fragment),wt=n(),fe=o("p"),fe.textContent=gl,yt=n(),ce=o("ul"),ce.innerHTML=hl,$t=n(),b=o("img"),Tt=n(),p(de.$$.fragment),Lt=n(),ve=o("p"),ve.textContent=cl,Ct=n(),we=o("ul"),we.innerHTML=dl,xt=n(),p(ye.$$.fragment),bt=n(),$e=o("p"),$e.innerHTML=vl,_t=n(),Le=o("p"),this.h()},l(e){const t=xl("svelte-u9bgzb",document.head);v=a(t,"META",{name:!0,content:!0}),t.forEach(l),Ce=s(e),Te=a(e,"P",{}),wl(Te).forEach(l),xe=s(e),m(H.$$.fragment,e),be=s(e),w=a(e,"IMG",{src:!0,alt:!0,width:!0}),_e=s(e),M=a(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-lar89z"&&(M.innerHTML=It),He=s(e),P=a(e,"P",{"data-svelte-h":!0}),r(P)!=="svelte-9h5dhu"&&(P.innerHTML=kt),Me=s(e),I=a(e,"P",{"data-svelte-h":!0}),r(I)!=="svelte-q5r4ab"&&(I.textContent=Dt),Pe=s(e),k=a(e,"UL",{"data-svelte-h":!0}),r(k)!=="svelte-iulplw"&&(k.innerHTML=jt),Ie=s(e),D=a(e,"P",{"data-svelte-h":!0}),r(D)!=="svelte-4b3xjd"&&(D.textContent=At),ke=s(e),m(j.$$.fragment,e),De=s(e),A=a(e,"P",{"data-svelte-h":!0}),r(A)!=="svelte-f2qxb3"&&(A.textContent=St),je=s(e),S=a(e,"UL",{"data-svelte-h":!0}),r(S)!=="svelte-kd6znf"&&(S.innerHTML=Wt),Ae=s(e),W=a(e,"P",{"data-svelte-h":!0}),r(W)!=="svelte-t67g99"&&(W.textContent=Rt),Se=s(e),R=a(e,"P",{"data-svelte-h":!0}),r(R)!=="svelte-1xij83d"&&(R.innerHTML=qt),We=s(e),q=a(e,"P",{"data-svelte-h":!0}),r(q)!=="svelte-i91mrq"&&(q.innerHTML=Ut),Re=s(e),U=a(e,"P",{"data-svelte-h":!0}),r(U)!=="svelte-a79ye4"&&(U.innerHTML=zt),qe=s(e),m(z.$$.fragment,e),Ue=s(e),G=a(e,"P",{"data-svelte-h":!0}),r(G)!=="svelte-1ee6w8b"&&(G.textContent=Gt),ze=s(e),F=a(e,"UL",{"data-svelte-h":!0}),r(F)!=="svelte-1ju8ahi"&&(F.innerHTML=Ft),Ge=s(e),m(E.$$.fragment,e),Fe=s(e),B=a(e,"P",{"data-svelte-h":!0}),r(B)!=="svelte-oyiyj9"&&(B.textContent=Et),Ee=s(e),y=a(e,"IMG",{src:!0,alt:!0,width:!0}),Be=s(e),$=a(e,"IMG",{src:!0,alt:!0,width:!0}),Oe=s(e),m(O.$$.fragment,e),Ye=s(e),T=a(e,"IMG",{src:!0,alt:!0,width:!0}),Ze=s(e),Y=a(e,"P",{"data-svelte-h":!0}),r(Y)!=="svelte-1ygf71c"&&(Y.textContent=Zt),Je=s(e),Z=a(e,"UL",{"data-svelte-h":!0}),r(Z)!=="svelte-186gjk5"&&(Z.innerHTML=Jt),Ve=s(e),J=a(e,"P",{"data-svelte-h":!0}),r(J)!=="svelte-1tfwr9k"&&(J.innerHTML=Vt),Ke=s(e),V=a(e,"P",{"data-svelte-h":!0}),r(V)!=="svelte-qy3r5p"&&(V.innerHTML=Kt),Ne=s(e),m(K.$$.fragment,e),Qe=s(e),N=a(e,"P",{"data-svelte-h":!0}),r(N)!=="svelte-1ybbpoz"&&(N.innerHTML=Nt),Xe=s(e),Q=a(e,"UL",{"data-svelte-h":!0}),r(Q)!=="svelte-eoc7ia"&&(Q.innerHTML=Qt),et=s(e),X=a(e,"P",{"data-svelte-h":!0}),r(X)!=="svelte-13oa6ep"&&(X.innerHTML=Xt),tt=s(e),L=a(e,"IMG",{src:!0,alt:!0,width:!0}),lt=s(e),m(ee.$$.fragment,e),it=s(e),te=a(e,"P",{"data-svelte-h":!0}),r(te)!=="svelte-180fzyv"&&(te.textContent=tl),nt=s(e),le=a(e,"OL",{"data-svelte-h":!0}),r(le)!=="svelte-128p29f"&&(le.innerHTML=ll),st=s(e),C=a(e,"IMG",{src:!0,alt:!0,width:!0}),ot=s(e),m(ie.$$.fragment,e),at=s(e),ne=a(e,"P",{"data-svelte-h":!0}),r(ne)!=="svelte-loeab5"&&(ne.textContent=nl),rt=s(e),se=a(e,"UL",{"data-svelte-h":!0}),r(se)!=="svelte-7fy04p"&&(se.innerHTML=sl),ut=s(e),x=a(e,"IMG",{src:!0,alt:!0,width:!0}),pt=s(e),m(oe.$$.fragment,e),mt=s(e),ae=a(e,"P",{"data-svelte-h":!0}),r(ae)!=="svelte-4wknxl"&&(ae.innerHTML=al),gt=s(e),m(re.$$.fragment,e),ht=s(e),ue=a(e,"P",{"data-svelte-h":!0}),r(ue)!=="svelte-1jup2cx"&&(ue.textContent=rl),ft=s(e),pe=a(e,"UL",{"data-svelte-h":!0}),r(pe)!=="svelte-11w7f8o"&&(pe.innerHTML=ul),ct=s(e),me=a(e,"P",{"data-svelte-h":!0}),r(me)!=="svelte-gd9a5j"&&(me.textContent=pl),dt=s(e),ge=a(e,"UL",{"data-svelte-h":!0}),r(ge)!=="svelte-t69p07"&&(ge.innerHTML=ml),vt=s(e),m(he.$$.fragment,e),wt=s(e),fe=a(e,"P",{"data-svelte-h":!0}),r(fe)!=="svelte-11dnki3"&&(fe.textContent=gl),yt=s(e),ce=a(e,"UL",{"data-svelte-h":!0}),r(ce)!=="svelte-m7zuak"&&(ce.innerHTML=hl),$t=s(e),b=a(e,"IMG",{src:!0,alt:!0,width:!0}),Tt=s(e),m(de.$$.fragment,e),Lt=s(e),ve=a(e,"P",{"data-svelte-h":!0}),r(ve)!=="svelte-uwe8dy"&&(ve.textContent=cl),Ct=s(e),we=a(e,"UL",{"data-svelte-h":!0}),r(we)!=="svelte-l3k1ly"&&(we.innerHTML=dl),xt=s(e),m(ye.$$.fragment,e),bt=s(e),$e=a(e,"P",{"data-svelte-h":!0}),r($e)!=="svelte-gxcyvw"&&($e.innerHTML=vl),_t=s(e),Le=a(e,"P",{}),wl(Le).forEach(l),this.h()},h(){u(v,"name","hf:doc:metadata"),u(v,"content",Hl),_(w.src,Pt="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit0/thumbnail.jpg")||u(w,"src",Pt),u(w,"alt","Deep RL Course thumbnail"),u(w,"width","100%"),_(y.src,Bt="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit0/syllabus1.jpg")||u(y,"src",Bt),u(y,"alt","Syllabus Part 1"),u(y,"width","100%"),_($.src,Ot="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit0/syllabus2.jpg")||u($,"src",Ot),u($,"alt","Syllabus Part 2"),u($,"width","100%"),_(T.src,Yt="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit0/two-paths.jpg")||u(T,"src",Yt),u(T,"alt","Two paths"),u(T,"width","100%"),_(L.src,el="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit0/certification.jpg")||u(L,"src",el),u(L,"alt","Course certification"),u(L,"width","100%"),_(C.src,il="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit0/advice.jpg")||u(C,"src",il),u(C,"alt","Course advice"),u(C,"width","100%"),_(x.src,ol="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit0/tools.jpg")||u(x,"src",ol),u(x,"alt","Course tools needed"),u(x,"width","100%"),_(b.src,fl="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit0/challenges.jpg")||u(b,"src",fl),u(b,"alt","Challenges"),u(b,"width","100%")},m(e,t){bl(document.head,v),i(e,Ce,t),i(e,Te,t),i(e,xe,t),g(H,e,t),i(e,be,t),i(e,w,t),i(e,_e,t),i(e,M,t),i(e,He,t),i(e,P,t),i(e,Me,t),i(e,I,t),i(e,Pe,t),i(e,k,t),i(e,Ie,t),i(e,D,t),i(e,ke,t),g(j,e,t),i(e,De,t),i(e,A,t),i(e,je,t),i(e,S,t),i(e,Ae,t),i(e,W,t),i(e,Se,t),i(e,R,t),i(e,We,t),i(e,q,t),i(e,Re,t),i(e,U,t),i(e,qe,t),g(z,e,t),i(e,Ue,t),i(e,G,t),i(e,ze,t),i(e,F,t),i(e,Ge,t),g(E,e,t),i(e,Fe,t),i(e,B,t),i(e,Ee,t),i(e,y,t),i(e,Be,t),i(e,$,t),i(e,Oe,t),g(O,e,t),i(e,Ye,t),i(e,T,t),i(e,Ze,t),i(e,Y,t),i(e,Je,t),i(e,Z,t),i(e,Ve,t),i(e,J,t),i(e,Ke,t),i(e,V,t),i(e,Ne,t),g(K,e,t),i(e,Qe,t),i(e,N,t),i(e,Xe,t),i(e,Q,t),i(e,et,t),i(e,X,t),i(e,tt,t),i(e,L,t),i(e,lt,t),g(ee,e,t),i(e,it,t),i(e,te,t),i(e,nt,t),i(e,le,t),i(e,st,t),i(e,C,t),i(e,ot,t),g(ie,e,t),i(e,at,t),i(e,ne,t),i(e,rt,t),i(e,se,t),i(e,ut,t),i(e,x,t),i(e,pt,t),g(oe,e,t),i(e,mt,t),i(e,ae,t),i(e,gt,t),g(re,e,t),i(e,ht,t),i(e,ue,t),i(e,ft,t),i(e,pe,t),i(e,ct,t),i(e,me,t),i(e,dt,t),i(e,ge,t),i(e,vt,t),g(he,e,t),i(e,wt,t),i(e,fe,t),i(e,yt,t),i(e,ce,t),i(e,$t,t),i(e,b,t),i(e,Tt,t),g(de,e,t),i(e,Lt,t),i(e,ve,t),i(e,Ct,t),i(e,we,t),i(e,xt,t),g(ye,e,t),i(e,bt,t),i(e,$e,t),i(e,_t,t),i(e,Le,t),Ht=!0},p:$l,i(e){Ht||(h(H.$$.fragment,e),h(j.$$.fragment,e),h(z.$$.fragment,e),h(E.$$.fragment,e),h(O.$$.fragment,e),h(K.$$.fragment,e),h(ee.$$.fragment,e),h(ie.$$.fragment,e),h(oe.$$.fragment,e),h(re.$$.fragment,e),h(he.$$.fragment,e),h(de.$$.fragment,e),h(ye.$$.fragment,e),Ht=!0)},o(e){f(H.$$.fragment,e),f(j.$$.fragment,e),f(z.$$.fragment,e),f(E.$$.fragment,e),f(O.$$.fragment,e),f(K.$$.fragment,e),f(ee.$$.fragment,e),f(ie.$$.fragment,e),f(oe.$$.fragment,e),f(re.$$.fragment,e),f(he.$$.fragment,e),f(de.$$.fragment,e),f(ye.$$.fragment,e),Ht=!1},d(e){e&&(l(Ce),l(Te),l(xe),l(be),l(w),l(_e),l(M),l(He),l(P),l(Me),l(I),l(Pe),l(k),l(Ie),l(D),l(ke),l(De),l(A),l(je),l(S),l(Ae),l(W),l(Se),l(R),l(We),l(q),l(Re),l(U),l(qe),l(Ue),l(G),l(ze),l(F),l(Ge),l(Fe),l(B),l(Ee),l(y),l(Be),l($),l(Oe),l(Ye),l(T),l(Ze),l(Y),l(Je),l(Z),l(Ve),l(J),l(Ke),l(V),l(Ne),l(Qe),l(N),l(Xe),l(Q),l(et),l(X),l(tt),l(L),l(lt),l(it),l(te),l(nt),l(le),l(st),l(C),l(ot),l(at),l(ne),l(rt),l(se),l(ut),l(x),l(pt),l(mt),l(ae),l(gt),l(ht),l(ue),l(ft),l(pe),l(ct),l(me),l(dt),l(ge),l(vt),l(wt),l(fe),l(yt),l(ce),l($t),l(b),l(Tt),l(Lt),l(ve),l(Ct),l(we),l(xt),l(bt),l($e),l(_t),l(Le)),l(v),c(H,e),c(j,e),c(z,e),c(E,e),c(O,e),c(K,e),c(ee,e),c(ie,e),c(oe,e),c(re,e),c(he,e),c(de,e),c(ye,e)}}}const Hl='{"title":"Welcome to the 🤗 Deep Reinforcement Learning Course","local":"introduction","sections":[{"title":"What to expect?","local":"expect","sections":[],"depth":2},{"title":"What does the course look like?","local":"course-look-like","sections":[],"depth":2},{"title":"What’s the syllabus?","local":"syllabus","sections":[],"depth":2},{"title":"Two paths: choose your own adventure","local":"two-paths","sections":[],"depth":2},{"title":"The Certification Process","local":"certification-process","sections":[],"depth":2},{"title":"How to get most of the course?","local":"advice","sections":[],"depth":2},{"title":"What tools do I need?","local":"tools","sections":[],"depth":2},{"title":"What is the recommended pace?","local":"recommended-pace","sections":[],"depth":2},{"title":"Who are we","local":"who-are-we","sections":[],"depth":2},{"title":"What are the challenges in this course?","local":"challenges","sections":[],"depth":2},{"title":"I found a bug, or I want to improve the course","local":"contribute","sections":[],"depth":2},{"title":"I still have questions","local":"questions","sections":[],"depth":2}],"depth":1}';function Ml(Mt){return Tl(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Dl extends Ll{constructor(v){super(),Cl(this,v,Ml,_l,yl,{})}}export{Dl as component};
